Bug 22493 - JPopupMenuOperator().pushMenuNoBlock() blocks execution
JPopupMenuOperator().pushMenuNoBlock() blocks execution
Status: CLOSED FIXED
Product: qa
Classification: Unclassified
Component: Code
3.x
Sun Solaris
: P1 (vote)
: TBD
Assigned To: issues@qa
issues@qa
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-16 13:43 UTC by Jiri Skrivanek
Modified: 2011-02-17 09:32 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Test case (645 bytes, text/plain)
2002-04-16 13:44 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2002-04-16 13:43:13 UTC
If desired item is instance of JMenu, then push()
method at line 608 in JMenuOperator is finally
called. This push() method is blocking.
In order to support no block actions it has to be
added there:
            if(blocking) {
                push();
            } else {
                pushNoBlock();
            }
Comment 1 Jiri Skrivanek 2002-04-16 13:44:27 UTC
Created attachment 5425 [details]
Test case
Comment 2 Alexandre Iline 2002-04-17 09:25:23 UTC
Description is correct.
Comment 3 Alexandre Iline 2002-04-17 09:29:05 UTC
------- JMenuOperator.java -------
608c608,612
< 	    push();
---
>           if(blocking) {
>               push();
>           } else {
>               pushNoBlock();
>           }

Comment 4 Jiri Skrivanek 2002-04-17 13:00:13 UTC
Verified.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo